Get one record with its full payload
curl --request GET \
--url https://app.hookie.ai/admin/api/projects/{pid}/records/{id} \
--cookie hookie_session=const options = {method: 'GET', headers: {cookie: 'hookie_session='}};
fetch('https://app.hookie.ai/admin/api/projects/{pid}/records/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/projects/{pid}/records/{id}"
headers = {"cookie": "hookie_session="}
response = requests.get(url, headers=headers)
print(response.text){
"record": {
"id": "<string>",
"dataset": "<string>",
"source": "<string>",
"received_at": "2023-11-07T05:31:56Z",
"webhook_id": "<string>",
"submission_id": "<string>",
"payload": {}
}
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}Records
Get one record with its full payload
Top-level alias: GET /admin/api/records/. GET /admin/api/projects//records (no id) is not a route - it returns 404 Record id required. Readable by any role.
GET
/
admin
/
api
/
projects
/
{pid}
/
records
/
{id}
Get one record with its full payload
curl --request GET \
--url https://app.hookie.ai/admin/api/projects/{pid}/records/{id} \
--cookie hookie_session=const options = {method: 'GET', headers: {cookie: 'hookie_session='}};
fetch('https://app.hookie.ai/admin/api/projects/{pid}/records/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/projects/{pid}/records/{id}"
headers = {"cookie": "hookie_session="}
response = requests.get(url, headers=headers)
print(response.text){
"record": {
"id": "<string>",
"dataset": "<string>",
"source": "<string>",
"received_at": "2023-11-07T05:31:56Z",
"webhook_id": "<string>",
"submission_id": "<string>",
"payload": {}
}
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}Authorizations
sessionbearerAuth
The console's sealed session cookie, set by WorkOS AuthKit. Mutating requests also require the X-Requested-With CSRF header.
Path Parameters
Project id (UUID) belonging to the caller workspace.
Record id.
Response
The record, payload parsed as JSON (a non-object payload is wrapped as {value: ...}).
Show child attributes
Show child attributes